### A free/open-source library for quantitative finance

Classes | Enumerations | Functions
ql/experimental/credit/defaulttype.hpp File Reference

Classes for default-event description. More...

`#include <ql/time/period.hpp>`
Include dependency graph for defaulttype.hpp:

## Classes

struct | AtomicDefault
| Atomic (single contractual event) default events. More...
struct | Restructuring
| Restructuring type. More...
class | DefaultType
| Atomic credit-event type. More...
class | FailureToPay
| Failure to Pay atomic event type. More...

## Enumerations

enum | Seniority { SecDom = 0, SnrFor, SubLT2, JrSubT2, PrefT1, NoSeniority, SeniorSec = SecDom, SeniorUnSec = SnrFor, SubTier1 = PrefT1, SubUpperTier2 = JrSubT2, SubLoweTier2 = SubLT2 }
| Seniority of a bond. More...

## Functions

bool | operator== (const DefaultType &lhs, const DefaultType &rhs)

## Detailed Description

Classes for default-event description.